// Generated by gir (https://github.com/gtk-rs/gir @ 28780fd)
// from gir-files (https://github.com/gtk-rs/gir-files @ 6088bb6)
// from gst-gir-files (https://gitlab.freedesktop.org/gstreamer/gir-files-rs.git @ 208138a)
// DO NOT EDIT

#include "manual.h"
#include <stdalign.h>
#include <stdio.h>

int main() {
    printf("%s;%zu;%zu\n", "GstRTSPAuthCredential", sizeof(GstRTSPAuthCredential), alignof(GstRTSPAuthCredential));
    printf("%s;%zu;%zu\n", "GstRTSPAuthMethod", sizeof(GstRTSPAuthMethod), alignof(GstRTSPAuthMethod));
    printf("%s;%zu;%zu\n", "GstRTSPAuthParam", sizeof(GstRTSPAuthParam), alignof(GstRTSPAuthParam));
    printf("%s;%zu;%zu\n", "GstRTSPEvent", sizeof(GstRTSPEvent), alignof(GstRTSPEvent));
    printf("%s;%zu;%zu\n", "GstRTSPExtensionInterface", sizeof(GstRTSPExtensionInterface), alignof(GstRTSPExtensionInterface));
    printf("%s;%zu;%zu\n", "GstRTSPFamily", sizeof(GstRTSPFamily), alignof(GstRTSPFamily));
    printf("%s;%zu;%zu\n", "GstRTSPHeaderField", sizeof(GstRTSPHeaderField), alignof(GstRTSPHeaderField));
    printf("%s;%zu;%zu\n", "GstRTSPLowerTrans", sizeof(GstRTSPLowerTrans), alignof(GstRTSPLowerTrans));
    printf("%s;%zu;%zu\n", "GstRTSPMessage", sizeof(GstRTSPMessage), alignof(GstRTSPMessage));
    printf("%s;%zu;%zu\n", "GstRTSPMethod", sizeof(GstRTSPMethod), alignof(GstRTSPMethod));
    printf("%s;%zu;%zu\n", "GstRTSPMsgType", sizeof(GstRTSPMsgType), alignof(GstRTSPMsgType));
    printf("%s;%zu;%zu\n", "GstRTSPProfile", sizeof(GstRTSPProfile), alignof(GstRTSPProfile));
    printf("%s;%zu;%zu\n", "GstRTSPRange", sizeof(GstRTSPRange), alignof(GstRTSPRange));
    printf("%s;%zu;%zu\n", "GstRTSPRangeUnit", sizeof(GstRTSPRangeUnit), alignof(GstRTSPRangeUnit));
    printf("%s;%zu;%zu\n", "GstRTSPResult", sizeof(GstRTSPResult), alignof(GstRTSPResult));
    printf("%s;%zu;%zu\n", "GstRTSPState", sizeof(GstRTSPState), alignof(GstRTSPState));
    printf("%s;%zu;%zu\n", "GstRTSPStatusCode", sizeof(GstRTSPStatusCode), alignof(GstRTSPStatusCode));
    printf("%s;%zu;%zu\n", "GstRTSPTime", sizeof(GstRTSPTime), alignof(GstRTSPTime));
    printf("%s;%zu;%zu\n", "GstRTSPTime2", sizeof(GstRTSPTime2), alignof(GstRTSPTime2));
    printf("%s;%zu;%zu\n", "GstRTSPTimeRange", sizeof(GstRTSPTimeRange), alignof(GstRTSPTimeRange));
    printf("%s;%zu;%zu\n", "GstRTSPTimeType", sizeof(GstRTSPTimeType), alignof(GstRTSPTimeType));
    printf("%s;%zu;%zu\n", "GstRTSPTransMode", sizeof(GstRTSPTransMode), alignof(GstRTSPTransMode));
    printf("%s;%zu;%zu\n", "GstRTSPTransport", sizeof(GstRTSPTransport), alignof(GstRTSPTransport));
    printf("%s;%zu;%zu\n", "GstRTSPUrl", sizeof(GstRTSPUrl), alignof(GstRTSPUrl));
    printf("%s;%zu;%zu\n", "GstRTSPVersion", sizeof(GstRTSPVersion), alignof(GstRTSPVersion));
    printf("%s;%zu;%zu\n", "GstRTSPWatchFuncs", sizeof(GstRTSPWatchFuncs), alignof(GstRTSPWatchFuncs));
    return 0;
}
